Queue a notification test
/orgs/{organizationId}/projects/{projectId}/notification-channels/{channelId}/testQueue a notification test. Webhook, Slack, Discord, Telegram, Email, Zapier, Microsoft Teams, Google Chat, Mattermost, ntfy, Feishu / Lark, DingTalk and WeCom notification channels deliver for real; webhook requests are signed.
Scoped FishOut API key. Never send credentials in query parameters.
In: header
Path Parameters
1 <= length1 <= length1 <= lengthHeader Parameters
Reuse for retries of the same action for 24 hours. A changed body returns 409.
8 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/orgs/string/projects/string/notification-channels/string/test" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "idempotencyKey": "string" }'{ "data": "string", "meta": { "requestId": "string", "replayed": true }}Rotate a webhook signing secret POST
Rotate a webhook signing secret. Webhook, Slack, Discord, Telegram, Email, Zapier, Microsoft Teams, Google Chat, Mattermost, ntfy, Feishu / Lark, DingTalk and WeCom notification channels deliver for real; webhook requests are signed.
List notification delivery history GET
List notification delivery history. Webhook, Slack, Discord, Telegram, Email, Zapier, Microsoft Teams, Google Chat, Mattermost, ntfy, Feishu / Lark, DingTalk and WeCom notification channels deliver for real; webhook requests are signed.